/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.cosmodas.validaciones;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 * @author obper
 */
public class FacturaCuerpo implements Serializable{
    
   private Integer cantidadProducto;
   private String productoCodigo;
   private String productoNombre;
   private BigDecimal unidadSinDescuento;
   private BigDecimal unidadConDescuento;
   private String oferta;
   private String ofertaCodigo;
   private char tipoCupon;
   private BigDecimal totalSinDescuento;
   private BigDecimal totalConDescuento;
   private String foferta;

    public String getFoferta() {
        return foferta;
    }

    public void setFoferta(String foferta) {
        this.foferta = foferta;
    }

    public Integer getCantidadProducto() {
        return cantidadProducto;
    }

    public void setCantidadProducto(Integer cantidadProducto) {
        this.cantidadProducto = cantidadProducto;
    }

    public String getProductoCodigo() {
        return productoCodigo;
    }

    public void setProductoCodigo(String productoCodigo) {
        this.productoCodigo = productoCodigo;
    }

    public String getProductoNombre() {
        return productoNombre;
    }

    public void setProductoNombre(String productoNombre) {
        this.productoNombre = productoNombre;
    }

    public BigDecimal getUnidadSinDescuento() {
        return unidadSinDescuento;
    }

    public void setUnidadSinDescuento(BigDecimal unidadSinDescuento) {
        this.unidadSinDescuento = unidadSinDescuento;
    }

    public BigDecimal getUnidadConDescuento() {
        return unidadConDescuento;
    }

    public void setUnidadConDescuento(BigDecimal unidadConDescuento) {
        this.unidadConDescuento = unidadConDescuento;
    }

    public String getOferta() {
        return oferta;
    }

    public void setOferta(String oferta) {
        this.oferta = oferta;
    }

    public String getOfertaCodigo() {
        return ofertaCodigo;
    }

    public void setOfertaCodigo(String ofertaCodigo) {
        this.ofertaCodigo = ofertaCodigo;
    }

    public BigDecimal getTotalSinDescuento() {
        return totalSinDescuento;
    }

    public void setTotalSinDescuento(BigDecimal totalSinDescuento) {
        this.totalSinDescuento = totalSinDescuento;
    }

    public BigDecimal getTotalConDescuento() {
        return totalConDescuento;
    }

    public void setTotalConDescuento(BigDecimal totalConDescuento) {
        this.totalConDescuento = totalConDescuento;
    }

    public char getTipoCupon() {
        return tipoCupon;
    }

    public void setTipoCupon(char tipoCupon) {
        this.tipoCupon = tipoCupon;
    }
    

    public FacturaCuerpo(Integer cantidadProducto, String productoCodigo, String productoNombre, BigDecimal unidadSinDescuento, BigDecimal unidadConDescuento, String oferta, String ofertaCodigo, BigDecimal totalSinDescuento, BigDecimal totalConDescuento) {
        this.cantidadProducto = cantidadProducto;
        this.productoCodigo = productoCodigo;
        this.productoNombre = productoNombre;
        this.unidadSinDescuento = unidadSinDescuento;
        this.unidadConDescuento = unidadConDescuento;
        this.oferta = oferta;
        this.ofertaCodigo = ofertaCodigo;
        this.totalSinDescuento = totalSinDescuento;
        this.totalConDescuento = totalConDescuento;
    }



    public FacturaCuerpo() {
    }
   
    
   
}
